Subject: [Pana] PANA-SM review

From: "Alper Yegin" <[email-masked]>
Date: Thu, 4 Dec 2008 12:42:21 +0200

Here are my PANA state machine (draft-ietf-pana-statemachine-07.txt
<http://www.ietf.org/internet-drafts/draft-ietf-pana-statemachine-07.txt> )
review comments.
 
s/argment/argument
s/key_availble/key_available

Text is referring to AAA-Key. I think it should be "MSK".
 
   To initialize the EAP state machine, the PAA state machine defines an
   event notification mechanism to send an EAP (re)start event to the
   EAP peer.

Should this be "to the EAP authenticator"?
 
Does this state machine handle PaC sending PAR and expecting PAN?

I presume you already have a graphical state machine diagram somewhere.
Consider publishing a PDF-formatted version if this I-D with the diagram, or
at least providing that diagram on panasec.org website.
 
Alper

 

_______________________________________________
Pana mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pana